# Created by pyp2rpm-1.0.0
%global pypi_name flexmock

Name:           python-flexmock
Version:        0.12.1
Release:        %mkrel 1
Group:          Development/Python
Summary:        Mock/Stub/Spy library for Python
License:        BSD
URL:            https://pypi.python.org/pypi/flexmock
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
flexmock is a testing library for Python that makes it easy to create
mocks, stubs and fakes.

The API is inspired by a Ruby library of the same name, but Python
flexmock is not a clone of the Ruby version. It omits a number of
redundancies in the Ruby flexmock.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Mock/Stub/Spy library for Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
flexmock is a testing library for Python that makes it easy to create
mocks, stubs and fakes.

The API is inspired by a Ruby library of the same name, but Python
flexmock is not a clone of the Ruby version. It omits a number of
redundancies in the Ruby flexmock.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flexmock

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc docs/*.rst




%changelog
* Fri Jun 28 2024 papoteur <papoteur> 0.12.1-1.mga10
+ Revision: 2077524
- new version 0.12.1

* Sat Dec 09 2023 wally <wally> 0.11.3-2.mga10
+ Revision: 2016626
- use %%pyproject_buildrequires
- rebuild for py3.12

* Thu Sep 29 2022 neoclust <neoclust> 0.11.3-1.mga9
+ Revision: 1893332
- New version  0.11.3

* Wed Mar 23 2022 umeabot <umeabot> 0.10.8-3.mga9
+ Revision: 1822529
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 0.10.8-2.mga9
+ Revision: 1774307
- Rebuild for python 3.10

* Sat Aug 28 2021 wally <wally> 0.10.8-1.mga9
+ Revision: 1743259
- new version 0.10.8

* Sun Mar 14 2021 wally <wally> 0.10.4-4.mga9
+ Revision: 1702830
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.10.4-3.mga8
+ Revision: 1530997
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 0.10.4-2.mga8
+ Revision: 1438367
- rebuild for python3.8
- drop python2 support

* Fri Apr 19 2019 wally <wally> 0.10.4-1.mga7
+ Revision: 1393408
- new version 0.10.4

* Mon Jan 07 2019 wally <wally> 0.10.2-6.mga7
+ Revision: 1350619
- another rebuild for python3.7

* Mon Jan 07 2019 wally <wally> 0.10.2-5.mga7
+ Revision: 1350615
- rebuild for python3.7

* Sun Jan 06 2019 shlomif <shlomif> 0.10.2-4.mga7
+ Revision: 1350139
- rebuild for py3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.10.2-3.mga7
+ Revision: 1288905
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.10.2-2.mga7
+ Revision: 1135428
- Rebuild for python 3.6

* Sun Jan 24 2016 daviddavid <daviddavid> 0.10.2-1.mga6
+ Revision: 927038
- new version: 0.10.2

* Thu Dec 17 2015 daviddavid <daviddavid> 0.10.1-1.mga6
+ Revision: 911265
- new version: 0.10.1
- remove merged previous upstream patch

* Thu Dec 17 2015 daviddavid <daviddavid> 0.10.0-1.mga6
+ Revision: 911245
- add upstream patch to fix build with python 3
  * https://github.com/bkabrda/flexmock/commit/b5f5c92cfa4e84e48eca6014d874e71224d1ba70
- new version: 0.10.0
- update doc file list
- add BuildRequires on python(3)-setuptools

* Fri Oct 09 2015 daviddavid <daviddavid> 0.9.7-1.mga6
+ Revision: 888625
- new version: 0.9.7 + rebuild for python 3.5
- use new python macros

* Thu Jul 16 2015 joequant <joequant> 0.9.6-8.mga6
+ Revision: 854577
- add python3

* Wed Oct 15 2014 umeabot <umeabot> 0.9.6-7.mga5
+ Revision: 749359
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.6-6.mga5
+ Revision: 728524
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.6-5.mga5
+ Revision: 688034
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.6-3.mga4
+ Revision: 543412
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.6-2.mga4
+ Revision: 498616
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 28 2013 joequant <joequant> 0.9.6-1.mga3
+ Revision: 392896
- imported package python-flexmock

